Posts
Publish a post
POST
/
posts
/
{post}
/
publish
Publish a post
curl --request POST \
--url https://tibbie.co/api/v1/posts/{post}/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts/{post}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts/{post}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}/publish';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Response
Last modified on February 21, 2026
Was this page helpful?
⌘I
Publish a post
curl --request POST \
--url https://tibbie.co/api/v1/posts/{post}/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts/{post}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts/{post}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}/publish';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}